---
title: Datenschutzerklärung
description: Diese Datenschutzerklärung erläutert wie Ocean Protocol Foundation Ltd. (OPF) deine personenbezogenen Daten verarbeitet wenn du Ocean Market besuchst und wenn du eine unserer Ocean Market Funktionen nutzt. Darüberhinaus informiert dich diese Datenschutzerklärung über deine Rechte.
---

# 1. Verantwortlicher

Verantwortlicher für die Verarbeitung deiner personenbezogenen Daten ist:

Ocean Protocol Foundation Ltd.<br/>
The Commerze @ Irving<br/>
1 Irving Place, #08-11<br/>
369546 Singapore

E-mail: [gdpr@oceanprotocol.com](gdpr@oceanprotocol.com)

# 2. Was sind personenbezogene Daten?

Personenbezogene Daten sind alle Informationen, die man direkt oder indirekt auf dich beziehen kann. OPF verarbeitet eine minimale Menge an personenbezogenen Daten, denn wir denken, dass deine Daten alleine dir gehören. Wir verarbeiten die folgenden personenbezogenen Daten.

**IP Addresse** : Wir verarbeiten deine IP Adresse, wenn du unsere Website besuchst.

Wenn du eine unserer Markfunktionalitäten nutzt, verarbeiten wir außerdem die folgenden personenbezogenen Daten.

- **Deine Wallet Addresse**: Wir verarbeiten deine Wallet Addresse, wenn du unsere Publishing-, Consuming-, oder Staking-Funktionaliät nutzt.

- **Autor Name:** Wir verarbeiten deinen angegebenen Autornamen, wenn du ein Data Asset veröffentlichst. Es ist nicht notwendig deinen echten Namen zu benutzen. Du kannst dein Data Asset gerne unter einem Pseudonym veröffentlichen.

Wenn du uns per E-Mail kontaktierst, verarbeiten wir deine E-Mail Addresse und alle weiteren personenbezogenen Daten, die du in deiner E-Mail angibst (wie beispielsweise deinen Namen).

Detaillierte Informationen über unsere Verarbeitungsvorgänge, die Rechtmäßigkeit der Verarbeitung, Verarbeitungszwecke und den Nutzen deiner Daten diese Zwecke zu erfüllen, findest du im Kapitel „Verarbeitung von personenbezogenen Daten nach Artikel 13 GDPR&quot;.

# 3. Empfänger und Übermittlung von personenbezogenen Daten an Drittländer

**Visiting Ocean Market**

Wenn du Ocean Market besuchst, wird deine IP-Adresse von Netlify verarbeitet, ein Auftragsverarbeiter, der unseren Markt hostet. Ocean Market wird von Netlify über ein Content Delivery Network (ein geografisch verteiltes Netzwerk) bereitgestellt, deren Server sich innerhalb und außerhalb des Europäischen Wirtschaftsraums befinden. Wir verwenden Standardvertragsklauseln (SCC), um angemessene Schutzmaßnahmen für die Verarbeitung deiner personenbezogenen Daten zu gewährleisten. Du hast das Recht, eine Kopie dieser SCC zu erhalten.

- Hier findest du Netlify&#39;s [**SCC** &#8599;](https://www.netlify.com/v3/static/pdf/netlify-dpa.pdf).
- Hier findest du Netlify&#39;s [**Datenschutzerklärung** &#8599;](https://www.netlify.com/gdpr-ccpa).

**Nutzung von Ocean Market Funktionalitäten**

Wenn du Ocean Market Funktionalitäten nutzt, legen wir deine Wallet Addresse und deinen Autornamen (falls vorhanden) offen indem wir diese an einen Smart Contract übermitteln. Dieser Smart Contract wird in maschinenlesbarem Format auf einer öffentlichen Blockchain gespeichert, die redundant auf weltweit verteilten Knoten gespeichert ist. Aufgrund der weltweit verteilten Speicherung werden deine Wallet Adresse und gegebenenfalls dein Autorname in Ländern ohne Angemessenheitsbeschluss gemäß Art. 45 GDPR verarbeitet. Die der Blockchain zugrunde liegende Technologie gewährleistet die Sicherheit (Integrität, Verfügbarkeit, Authentizität und Nichtabstreitbarkeit) deiner personenbezogenen Daten by-design und by-default. Außerdem bleiben deine in Kapitel sieben beschriebenen Rechte durchsetzbar. Wenn du beispielsweise deinen Autornamen auf Ocean Market berichtigst, werden die Änderungen automatisch auch auf Knoten übernommen, die eine Kopie des Smart Contracts besitzen.

**Kontakt via E-mail**

Wenn du mit uns per E-Mail in Kontakt trittst, unterstützt uns der (Mail-)Dienstleister Google Workspace bei der Kommunikation mit dir. Dabei werden personenbezogene Daten verarbeitet, wie deine E-Mail-Adresse und alle anderen Informationen, die du in deiner Nachricht angibst, wie beispielsweise deinen Namen. Google Workspace befindet sich in den USA, daher werden deine Daten in ein Land ohne Angemessenheitsbeschluss gemäß Art. 45 GDPR verarbeitet. Wir verwenden Standardvertragsklauseln (SCC), um angemessene Garantien für die Verarbeitung deiner personenbezogenen Daten zu gewährleisten. Du hast das Recht, eine Kopie dieser SCC zu erhalten.

- Hier findest du die [**SCC** &#8599;](https://workspace.google.com/terms/mcc_terms.html) von Google Workspace.
- Hier findest du die [**Datenschutzerklärung** &#8599;](https://policies.google.com/) von Google Workspace.

# 4. Verarbeitung von personenbezogenen Daten nach Artikel 13 GDPR

Wir verarbeiten deine personenbezogene Daten zu folgenden Zwecken.

## 4.1 Bereitstellung der Website und Erstellung von Logfiles

Wir erheben und verwenden deine IP-Adresse für die Bereitstellung von Ocean Market. Ocean Market wird von unserem Auftragsverarbeiter Netlify gehostet. Außerdem nutzt OPF Netlify Analytics, um deine IP-Adresse zu erfassen und zu speichern. Deine persönlichen Daten verlassen niemals unseren Service, und wir verfolgen dich nicht über verschiedene Websites hinweg.

**Zwecke:**

Die Erhebung und Nutzung deiner IP-Adresse ist für die Bereitstellung von Ocean Market notwendig, da dies eine technische Voraussetzung ist, um die Kommunikation zwischen deinem Gerät und unserem Markt zu gewährleisten.

OPF verwendet Netlify Analytics, um einzelne Besucher anhand von IP-Adressen zu unterscheiden. Dieser Prozess hilft uns, besser zu verstehen, wie viele Nutzer Ocean Market besuchen und in welchen Ländern sich die Nutzer befinden. Wir verwenden diese Informationen, indem wir den Netwerkverkehr und die Beliebtheitstrends messen, um unseren Service zu verbessern.

**Rechtsgrundlage:**

Die Rechtsgrundlage für diese Verarbeitung ist unser berechtigtes Interesse, gemäß Art. 6(1)(f) DSGVO.

**Berechtigtes Interesse:**

Unser berechtigtes Interesse besteht darin, dir Ocean Market und seine Funktionalitäten zur Verfügung zu stellen und diese zu verbessern.

**Aufbewahrungsdauer:**

Wir speichern deine IP-Addresse für 30 Tage.

## 4.2 Consume- und Stake-Funktionalität

Wenn du die Consume- oder Stake-Funktionalität nutzt, erheben wir deine Wallet Addresse und legen diese offen, indem wir ihn an einen auf der Blockchain gespeicherten Smart Cotract übertragen.

**Zweck:**

Ocean Market verarbeitet deine Wallet Addresse, um dir zu ermöglichen eine Blockchain-Transaktionen zu signieren. Die Transaktion, die deine Wallet Adresse enthält, wird dauerhaft auf der Blockchain gespeichert, damit du und der Asset-Publisher den Erwerb und Konsum des Assets nachweisen können.

**Rechtsgrundlage:**

Die Rechtsgrundlage für diese Verarbeitung ist Artikel 6(1)(b) DSGVO, da die Verarbeitung für die Erfüllung eines Vertrags mit dir erforderlich ist.

**Aufbewahrungsdauer:**

OPF legt deine Wallet Addresse offen, indem diese an einen Smart Contract übermittelt wird, der in maschinenlesbarem Format dauerhaft auf der Blockchain gespeichert wird, um einen unveränderlichen Audit-Trail zu ermöglichen.

## 4.3 Publish-Funktionalität

Wenn du ein Data Asset veröffentlichst, erheben, wir deine Wallet Addresse und deinen Autornamen und transferieren diese zu einem Smart Contract, der auf der Blockchain gespeichert ist. Bitte beachte, dass deine Wallet Addresse mit deinem angegebenen Namen verknüpft wird. Bitte beachte außerdem, dass du ein Pseudonym als Autornamen benutzen kannst.

**Zweck:**

Wir verarbeiten deine Wallet Addresse, um dein Data Asset mit deiner Wallet Addresse zu verknüpfen. Wir verarbeiten deinen Autornamen, um Such- und Filterfunktionen auf Ocean Market zu ermöglichen. Die Transaktion, die deine Wallet Addresse und deinen Autorennamen enthält, wird dauerhaft auf der Blockchain gespeichert, damit du dein Eigentum und den Verkauf deines Assets nachweisen kannst.

**Rechtsgrundlage:**

Die Rechtsgrundlage für diese Verarbeitung ist Artikel 6(1)(b) DSGVO, da die Verarbeitung für die Erfüllung eines Vertrags mit dir erforderlich ist.

**Aufbewahrungsdauer:**

OPF legt deine Wallet Addresse und deinen Autornamen offen, indem diese an einen Smart Contract übermittelt werden, der in maschinenlesbarem Format dauerhaft auf der Blockchain gespeichert wird, um einen unveränderlichen Audit-Trail zu ermöglichen.

## 4.4 Anzeige deiner Data Assets

Wenn du ein Data Asset veröffentlicht hast, erheben, organisieren und speichern wir deine Wallet Addresse und deinen Autornamen auf einem von OPF betriebenen Metadaten-Cache und zeigen dein Asset auf Ocean Market an.

**Zweck:**

Das Abrufen von Daten, die auf der Blockchain gepeichert sind, ist zeitaufwändig. Deshalb erheben, organisieren und speichern wir deine personenbezogenen Daten in einem Cache, um die Performance von Ocean Market zu verbessern.

**Rechtsgrundlage:**

Die Rechtsgrundlage für diese Verarbeitung ist unser berechtigtes Interesse, gemäß Art. 6(1)(f) DSGVO.

**Berechtigtes Interesse:**

Unser berechtigtes Interesse ist es, das Nutzererlebnis durch Verbesserung der Performance von Ocean Market zu erhöhen.

**Aufbewahrungsdauer:**

Deine Wallet Addresse und dein Autorname werden permanent in unserem Metadaten Cache gespeichert.

## 4.5 History Table

Die History Table von Ocean Market ist ein Transparenz-Tool, mit dem du einen Überblick über deine auf Ocean Market getättigten Transaktion erhalten kannst. Wenn du die History Table nutzt, erheben wir deine Wallet Addresse. Danach rufen wir die relevanten und mit dir in Zusammenhang stehenden Transaktionen von der Blockchain ab (genauer gesagt, aus dem Metadaten Cache) und organisieren diese in der History Table.

**Zweck:**

Wir erheben deine Wallet Addresse, um jede Transaktion, die du auf Ocean Market getätigt hast, abrufen zu können. Wir rufen deine öffentlichen Transaktionsdaten ab und organisieren diese, damit du einen schnellen Überblick über alle Aktionen erhätst, die du auf Ocean Market durchgeführt hast.

**Rechtsgrundlage:**

Die Rechtsgrundlage für diese Verarbeitung ist unser berechtigtes Interesse, gemäß Art. 6(1)(f) DSGVO.

**Berechtigtes Interesse:**

Unser berechtigtes Interesse an der Bereitstellung der History Table besteht darin, dir die Möglichkeit zu bieten, einen Überblick über deine auf Ocean Market getätigten Transaktionen zu erhalten.

**Aufbewahrungsdauer:**

Sobald du die Verbindung zu deinem Wallet trennst, werden wir die History Table Einträge aus deinem Browser entfernen.

## 4.6 Kontakt via E-Mail

Wenn du uns per E-Mail kontaktierst, erheben, nutzen und speichern wir deine E-Mail addresse und alle anderen Informationen, die du uns in deiner Nachricht zukommen lässt, wie zum Beispiel dein Name.

**Zweck:**

Wir erheben, nutzen und speichern diese personenbezogenen Daten, um deine Anfragen zu beantworten.

**Rechtsgrundlage:**

Die Rechtsgrundlage für diese Verarbeitung ist unser berechtigtes Interesse, gemäß Art. 6(1)(f) DSGVO.

**Berechtigtes Interesse:**

Unser berechtigtes Interresse ist es deine Anfragen zu beantworten.

**Aufbewahrungsdauer:**

OPF löscht deine personenbezogenen Daten, sobald wir sie für die Bearbeitung deiner Anfrage nicht mehr benötigen, es sei den wir sind zur Einhaltunggesetzlicher Aufbewahrungsfristen verpflichtet oder im Falle eines Rechtsstreits.
<br/><i id="cookies"></i>

# 5. Cookies und Web Storage

Ein Cookie ist eine kleine Datei, die Interneteinstellungen speichert. Dein Webbrowser lädt diese beim ersten Besuch einer Website herunter. Wenn du diese Website das nächste Mal mit demselben Gerät öffnest, werden das Cookie und die darin gespeicherten Informationen entweder an die Website zurückgeschickt, die es erstellt hat (First-Party-Cookie) oder an eine andere Website, zu der es gehört (Third-Party-Cookie). Dadurch kann die Website erkennen, dass du sie zuvor mit diesem Browser geöffnet hast, und in einigen Fällen den angezeigten Inhalt variieren.

Ocean Market verwendet keine Cookies für Analyse- oder Marketingzwecke. Stattdessen verwenden wir ein funktionales First-Party-Cookie, das keine personenbezogenen Daten über dich übermittelt. Dieses Cookie wird verwendet, um dein Benutzererlebnis zu verbessern und wird entfernt, sobald du deinen Browser schließt.

Ocean Market verwendet auch lokalen Speicher und Sitzungsspeicher, die eine ähnliche Funktionalität wie Cookies haben. Wir verwenden den Webspeicher, um uns an deine Seitenpräferenzen zu erinnern und um dein Nutzererlebnis zu verbessern. Wir speichern im lokalen Speicher und im Sitzungsspeicher keine personenbezogenen Daten. Dein Browser entfernt den Sitzungsspeicher, sobald du deinen Browser schließt.

Du hast jederzeit die Möglichkeit, in den Einstellungen deines Browsers Cookies zu deaktivieren und Cookies und Webspeicher von der Festplatte deines Computers zu löschen.

# 6. Externe Links

Ocean Market enthält Links zu externen Webseiten, die außerhalb der Kontrolle und Verantwortung von OPF liegen. Wir kennzeichnen externe Links mit diesem Pfeil: &#8599;.

# 7. Deine Rechte

Wenn du deine im Folgenden beschriebenen Rechte geltend machen möchstest, zögere nicht uns zu kontaktieren.

## 7.1 Auskunftsrecht (Art. 15 GDPR)

Du hast das Recht eine Bestätigung darüber zu verlangen, ob wir dich betreffende personenbezogene Daten verarbeiten. Wenn wir personenbezogene Daten von dir verarbeiten, hast du das Recht Auskunft über diese personenbezogene Daten und die in Art. 15 DSGVO definierten Informationen zu erlangen.

## 7.2 Recht auf Berichtigung (Art. 16 GDPR)

Du hast das Recht, die Berichtigung dich betreffender unrichtiger personenbezogene Daten von uns zu verlangen. Darüberhinaus hast du das Recht darauf, dass unvollständige personenbezogene Daten vervollständigt werden.

Wenn du ein Data Asset veröffentlicht hast, kannst du deine bereitgestellten Metadaten (wie dein Autorname) jederzeit bearbeiten. Folgende Schritte werden dafür benötigt.

- Rufe dein dein Data Asset auf Ocean Market ([market.oceanprotocol.com/](https://market.oceanprotocol.com/)) auf.
- Validiere deine Identität mit deinem Private Key.
- Klicke &quot;EDIT METADATA&quot; und nehme deine Änderungen vor.
- Speichere deine Änderungen indem du &quot;SUBMIT&quot; klickst.
- Bestätige deine Änderungen mit deinem Private Key.

Bitte beachte, dass für deine Änderungen Gas Fees anfallen (da eine neue Transaktion initiiert wird). Nach der Änderung ist die vorherige Version der Metadaten deines Data Assets nicht mehr auf Ocean Market sichtbar. Außerdem kannst du den Inhalt deines Daten-Assets jederzeit ändern.

## 7.3 Recht auf Löschung (Art. 17 GDPR)

Du hast das Recht, ohne unangemessene Verzögerung die Löschung der dich betreffenden personenbezogenen Daten zu verlangen, wenn die definierten Rechtsgründe in Art. 17 DSGVO zutreffen.

Wenn du ein Daten-Asset veröffentlicht hast, kannst du deinen angegebenen Autorennamen mit einem Platzhalter überschreiben, indem du die in Kapitel 7.2 aufgeführten Schritte durchführst. Wenn du die Anzeige deines Data Assets auf Ocean Market deaktivieren möchten, kannst du die in Kapitel 7.4 geschilderten Schritte ausführen.

Beachten bitte, dass es aus technischen Gründen nicht möglich ist, die Transaktionshistorie der Blokchain, die den Smart Contract mit deinen Einträgen enthält, zu löschen. Der aktuelle Netzwerkstatus hingegen, wird die vorherigen Metadaten nicht mehr enthalten.

Außerdem kannst du aus technischen Gründen deine bereitgestellte Wallet Addresse nicht löschen. Die dauerhafte Speicherung deiner Wallet Addresse schützt dich sowohl als Asset-Publisher als auch als Asset-Consumer. Asset-Publisher können das Eigentum und den Verkäuf eines Assets nachweisen, während Asset-Consumer den Erwerb und Verbrauch von Assets nachweisen können.

## 7.4 Recht auf Einschränkung der Verarbeitung (Art. 18 GDPR)

Du hast das Recht, die Einschränkung der Verarbeitung deiner personenbezogenen Daten zu erwirken, wenn die in Artikel 18 DSGVO genannten Rechtsgründe vorliegen.

Wenn du ein Daten-Asset veröffentlicht hast und ein GitHub-Konto besitzt, kannst du „Purgatory&quot; nutzen, einen Mechanismus, um deine Data Assets auf Ocean Market zu verbergen, indem du die folgenden Schritte durchführst.

- Besuche unser [**Purgatory** &#8599;](https://github.com/oceanprotocol/list-purgatory/blob/main/list-assets.json).
- Melde dich bei deinem GitHub Account an.
- Schlage eine Änderung vor, indem du die betroffene DID deines Assets angibst sowie deinen Grund, wie beispielsweise &quot;Sensitive data&quot;.
- Bestätige deine Änderungen.

OPF wird deine Änderungen so schnell wie möglich übernehmen. Du kannst davon ausgehen, dass die Änderungen innerhalb von einer Woche bearbeitet werden. Für weitere Informationen besuche bitte unsere [**Purgatory-Dokumentation** &#8599;](https://github.com/oceanprotocol/list-purgatory/blob/main/policies/README.md).

Wenn du Fragen zu Purgatory hast oder wenn du kein GitHub-Konto besitzt und möchtest, dass wir die Anzeige des Datenassets deaktivieren, zögere nicht, uns zu kontaktieren.

## 7.5 Recht auf Datenübertragbarkeit (Art. 20 GDPR)

Du hast das Recht, deine personenbezogenen Daten in einem strukturierten, gängigen und maschinenlesbaren Format zu erhalten. Zusätzlich hast du das Recht, diese Daten ungehindert an einen anderen Verantwortlichen zu übermitteln, sofern die in Art. 20 DSGVO definierten Voraussetzungen zutreffen.
Sie können von Ihrem Recht auf Datenübertragbarkeit Gebrauch machen, indem Sie sich mit uns in Verbindung setzen.

## 7.6 Widerspruchsrecht (Art. 21 GDPR)

Du hast das Recht, aus Gründen, die sich aus deiner besonderen Situation ergeben, gegen die Verarbeitung deiner personenbezogenen Daten Widerspruch einzulegen, wenn wir die Verarbeitung auf die Wahrung unseres berechtigten Interessens stützen (Art. 6(1)(f) GDPR). Wenn du Widerspruch einlegst, werden wir deine personenbezogenen Daten nicht mehr verarbeiten, es sei denn, wir können zwingende schutzwürdige Gründe für die Verarbeitung nachweisen, die deine Rechte, Freiheiten und Interessen überwiegen, oder wenn die Verarbeitung zur Begründung, Ausübung oder Verteidigung von Rechtsansprüchen erforderlich ist.

## 7.7 Recht auf Beschwerde bei einer Aufsichtsbehörde (Art. 77 GDPR)

Du hast das Recht, eine Beschwerde bei einer Aufsichtsbehörde einzureichen, wenn du der Ansicht bist, dass die Verarbeitung deiner personenbezogenen Daten durch OPF gegen die DSGVO verstößt. Du kannst eine Beschwerde insbesondere

- in dem Mitgliedstaat deines gewöhnlichen Aufenthaltsorts,
- in dem Mitgliedstaat deines Arbeitsplatzes und
- an dem Ort des mutmaßlichen Verstoßes

einreichen.

# 8. Fragen

Falls du Fragen zu unserer Datenschutzerklärung hast, kontaktiere uns gerne per E-Mail an [gdpr@oceanprotocol.com](mailto:gdpr@oceanprotocol.com).
