---
title: Política de privacidad
description: Esta política de privacidad le informa sobre cómo Ocean Protocol Foundation Ltd. procesa sus datos personales cuando visita Ocean Market y cuando utiliza una de nuestras funcionalidades de mercado. Además, esta política de privacidad le informa sobre sus derechos.
---

# 1. Controlador

El controlador del procesamiento de sus datos personales es:

Ocean Protocol Foundation Ltd.<br/>
The Commerze @ Irving<br/>
1 Irving Place, #08-11<br/>
369546 Singapore

E-mail: [gdpr@oceanprotocol.com](gdpr@oceanprotocol.com)

# 2. ¿Qué son los datos personales?

Los datos personales son cualquier información que pueda estar (directa o indirectamente) relacionada con usted. Ocean Protocol procesa una cantidad mínima de datos personales, ya que creemos que sus datos personales le pertenecen. Procesamos los siguientes datos personales:

**Dirección IP** : Su dirección IP se procesa cuando visita Ocean Market.

Si está utilizando una de nuestras funcionalidades de mercado, Ocean Protocol también procesa los siguientes datos personales:

- **Dirección de cartera:** Su dirección de cartera se procesa si está publicando, consumiendo o apostando por un activo de datos.

- **Nombre del autor:** Su nombre se procesa si decide publicar un activo de datos. No es necesario utilizar su nombre real. Puede publicar un activo de datos con un seudónimo.

Si se comunica con Ocean Protocol por correo electrónico, procesamos su dirección de correo electrónico y cualquier dato personal que decida proporcionar en su mensaje (como su nombre).

Para obtener información detallada sobre las operaciones de procesamiento, la legalidad, los fines y cómo sus datos personales sirven para alcanzar estos fines, consulte el capítulo &quot;Operaciones de procesamiento de acuerdo con el Artículo 13 del GDPR&quot;.

# 3. Destinatarios y transferencia de datos transfronteriza

**Visitas al** **Ocean** **Market**

Cuando visita Ocean Market, su dirección IP es procesada por Netlify, un proveedor de servicios que aloja nuestro mercado. Netlify sirve a nuestro mercado mediante una red de distribución de contenidos (una red distribuida geográficamente) con servidores ubicados fuera y dentro del Espacio Económico Europeo. Usamos Cláusulas Contractuales Tipo (Standard Contractual Clauses o SCC e inglés) para brindar las garantías adecuadas para el procesamiento de sus datos personales. Tiene derecho a recibir una copia de estas SCC.

- Aquí puede encontrar las [**SCC** &#8599;](https://www.netlify.com/v3/static/pdf/netlify-dpa.pdf) de Netlify.
- Aquí puede encontrar la [**política de privacidad** &#8599;](https://www.netlify.com/gdpr-ccpa) de Netlify.

**Uso de las funciones de Ocean Market**

Si utiliza las funciones de Ocean Market, divulgamos su dirección de cartera y nombre de autor (si corresponde) transmitiéndolos a un contrato inteligente. Este contrato inteligente se almacena en formato legible por máquina en una blockchain o cadena de bloques pública que se almacena de forma redundante en nodos de todo el mundo. Dado que el almacenamiento se encuentra distribuido globalmente, su dirección de cartera y nombre de autor (si corresponde) se procesan en países que no poseen una decisión de adecuación de conformidad con el Art. 45 del GDPR. La tecnología subyacente de la blockchain garantiza la seguridad (integridad, disponibilidad, autenticidad y no repudio) de sus datos personales por diseño y por defecto. Además, sus derechos descritos en el capítulo siete siguen siendo válidos. Por ejemplo, si rectifica su nombre de autor en Ocean Market, los cambios también se adoptarán automáticamente en los nodos que contienen una copia del contrato inteligente.

**Contacto por correo electrónico**

Si se comunica con nosotros por correo electrónico, nuestro proveedor de servicios por correo, Google Workspace, nos ayudará a comunicarnos con usted. Durante este proceso, se procesan algunos de sus datos personales, como su dirección de correo electrónico, su nombre y cualquier otra información que decida proporcionar en su mensaje. Google Workspace se ubica en los EE. UU., por lo que sus datos son transferidos a un país que no posee una decisión de adecuación de conformidad con el Art. 45 del GDPR. Usamos Cláusulas Contractuales Tipo (SCC) para brindar las garantías adecuadas para el procesamiento de sus datos personales. Tiene derecho a recibir una copia de estas SCC.

- Aquí puede encontrar las [**SCC** &#8599;](https://workspace.google.com/terms/mcc_terms.html) de Google Workspace.
- Aquí puede encontrar la [**política de privacidad** &#8599;](https://policies.google.com/) de Google Workspace.

# 4. Operaciones de procesamiento de acuerdo con el Artículo 13 del GDPR

Procesamos sus datos personales para los siguientes fines:

## 4.1 Proporcionar Ocean Market y crear archivos de registro

Recopilamos y usamos su dirección IP para proporcionar Ocean Market alojado en Netlify. Además, Ocean Protocol utiliza Netlify Analytics para recopilar y almacenar su dirección IP. Sus datos personales nunca abandonarán nuestro servicio y no lo rastreamos a través de los sitios.

**Propósitos:**

La recopilación y el uso de su dirección IP es necesaria para proporcionar Ocean Market, ya que es un requisito técnico que hace posible garantizar la comunicación entre su dispositivo y nuestro mercado.

Ocean Protocol utiliza Netlify Analytics para distinguir visitantes únicos de acuerdo a sus direcciones IP. Este proceso nos ayuda a comprender mejor cuántos usuarios visitan Ocean Market y en qué países se encuentran los usuarios. Usamos esa información para medir el tráfico y las tendencias de popularidad para mejorar nuestro servicio.

**Base legal:**

La base legal para este procesamiento es nuestro interés legítimo, de acuerdo con el Art. 6(1)(f) del GDPR.

**Intereses legítimos:**

Nuestro interés legítimo es proporcionarle Ocean Market y sus funcionalidades y mejorarlas.

**Periodo de conservación:**

Almacenamos su dirección IP por 30 días.

## 4.2 Funcionalidad de consumo y participación

Al consumir o apostar por un activo de datos, recopilamos su dirección de cartera y la divulgamos transmitiéndola a un contrato inteligente almacenado en la blockchain.

**Propósito:**

Ocean Market procesa su dirección de cartera para permitirle firmar transacciones de blockchain. La transacción que contiene su dirección de cartera se almacenará permanentemente en cadena para que usted y el proveedor de activos puedan probar la adquisición y el consumo de activos.

**Base legal:**

La base legal para este procesamiento es el Artículo 6(1)(b) del GDPR, ya que el procesamiento es necesario para la ejecución de un contrato con usted.

**Período de retención:**

Ocean Protocol divulga su dirección de cartera transmitiéndola a un contrato inteligente (Smart Contract) almacenado en formato legible por máquina de forma permanente en cadena para permitir una pista de auditoría inmutable.

## 4.3 Funcionalidad de publicación

Cuando publica un activo de datos, recopilamos su dirección de cartera y nombre de autor y los divulgamos transmitiéndolos a un contrato inteligente almacenado en la blockchain. Tenga en cuenta que la dirección de su cartera estará vinculada a su nombre. Tenga en cuenta también que puede utilizar un seudónimo como nombre de autor.

**Propósito:**

Necesitamos procesar su dirección de cartera para vincular su publicación a su dirección de cartera. Procesamos su nombre para habilitar la función de búsqueda y filtrado en Ocean Market. La transacción que contiene su dirección de cartera pública y nombre de autor se almacenará permanentemente en cadena para que pueda demostrar la propiedad y las ventas de los activos.

**Base legal:**

La base legal para este procesamiento es el Artículo 6(1)(b) del GDPR, ya que el procesamiento es necesario para la ejecución de un contrato con usted.

**Período de retención:**

Ocean Protocol divulga su dirección de cartera y nombre de autor transmitiéndolos a un contrato inteligente almacenado en formato legible por máquina de forma permanente en cadena para habilitar una pista de auditoría.

## 4.4 Mostrar activos de datos

Cuando publica un activo de datos, recuperamos, organizamos y almacenamos su dirección de cartera y nombre de autor en una caché de metadatos operada por Ocean Protocol. Además, mostramos su activo en Ocean Market.

**Propósitos:**

Recuperar datos de la blockchain requiere mucho tiempo. Por lo tanto, recuperamos, organizamos y almacenamos sus datos personales en una caché para mejorar el rendimiento de Ocean Market. Mostramos su activo de datos en Ocean Market para que los visitantes puedan encontrarlo, consumirlo y participar en él.

**Base legal:**

La base legal para este procesamiento es nuestro interés legítimo, de acuerdo con el Art. 6(1)(f) del GDPR.

**Intereses legítimos:**

Nuestro interés legítimo es mejorar la experiencia del usuario optimizando el rendimiento de Ocean Market.

**Período de retención:**

Su dirección de cartera y nombre se almacenan permanentemente en nuestra caché de metadatos.

## 4.5 Tabla historial

La tabla de historial de Ocean Market es una herramienta de transparencia que puede utilizar para revisar sus transacciones relacionadas con Ocean Market. Cuando utiliza la tabla de historial, recopilamos su dirección de cartera. Luego, recuperamos las transacciones respectivas y relevantes almacenadas en la blockchain (más precisamente, en la caché de metadatos) y las organizamos en una tabla.

**Propósito:**

Necesitamos recopilar su dirección de cartera para recuperar cada transacción que realizó en Ocean Market. Recuperamos y organizamos sus datos de transacciones públicas para que pueda ver rápidamente todas las acciones que realizó en Ocean Market.

**Base legal:**

La base legal para este procesamiento es nuestro interés legítimo, de acuerdo con el Art. 6(1)(f) del GDPR.

**Intereses legítimos:**

Nuestro interés legítimo al proporcionar la tabla de historial es ofrecerle la posibilidad de revisar sus transacciones realizadas en Ocean Market.

**Período de retención:**

Tan pronto como desconecte su billetera, eliminaremos las entradas de la tabla de historial de su navegador.

## 4.6 Contacto por correo electrónico

Si se comunica con nosotros por correo electrónico, Ocean Protocol recopilará, utilizará y almacenará su dirección de correo electrónico y cualquier otra información que nos proporcione en su mensaje, como su nombre.

**Finalidades:**

Recopilamos, usamos y almacenamos estos datos personales para responder a sus consultas.

**Base legal:**

La base legal para este procesamiento es nuestro interés legítimo, de acuerdo con el Art. 6(1)(f) del GDPR.

**Intereses legítimos:**

Nuestro interés legítimo es responder a sus consultas.

**Período de conservación:**

Ocean Protocol elimina sus datos personales tan pronto como ya no los necesitemos para procesar su consulta, exceptuando el caso en el que Ocean Protocol esté obligada a cumplir con los períodos de retención legales o en caso de disputas legales.
<br/><i id="cookies"></i>

# 5. Cookies y almacenamiento web

Una cookie es un pequeño archivo que almacena la configuración de Internet. Su navegador web lo descarga en la primera visita a un sitio web. La próxima vez que abra ese sitio web con el mismo dispositivo, la cookie y la información almacenada en él se enviarán al sitio web que lo creó (cookie de origen) o a otro sitio web al que pertenece (cookie de terceros). Esto permite que el sitio web detecte que usted lo ha abierto previamente con ese navegador y, en algunos casos, variar el contenido mostrado.

Ocean Market no utiliza cookies con fines analíticos o de marketing. Por el contrario, utilizamos una cookie funcional propia que no transmite sus datos personales. Esta cookie se utiliza para mejorar su experiencia de usuario y se eliminará una vez que cierre su navegador.

Ocean Market también utiliza almacenamiento local y almacenamiento de sesiones, cuya funcionalidad es similar a la de las cookies. Usamos su almacenamiento web para recordar las preferencias de su página y mejorar su experiencia de usuario. Tampoco almacenamos datos personales en el almacenamiento local ni en el almacenamiento de sesiones. Su navegador eliminará el almacenamiento de la sesión una vez que cierre su navegador.

En la configuración de su navegador tiene la opción de deshabilitar las cookies o eliminar las cookies y el almacenamiento web del disco duro de su computadora en cualquier momento.

# 6. Enlaces externos

Ocean Market contiene enlaces a sitios web externos que están más allá del control y la responsabilidad de Ocean Protocol. Marcamos los enlaces externos con esta flecha: &#8599;.

# 7. Sus derechos

Si desea hacer uso de los derechos que se describen a continuación, no dude en ponerse en contacto con nosotros.

## 7.1 Derecho de acceso (Art. 15 del GDPR)

Tiene derecho a obtener confirmación sobre si Ocean Protocol procesa datos personales sobre usted. Si estamos procesando sus datos personales, tiene derecho a acceder a los mismos y obtener la información definida en el Art. 15 del GDPR.

## 7.2 Derecho de rectificación (Art. 16 del GDPR)

Tiene derecho a obtener sin dilación indebida la rectificación de los datos personales inexactos sobre usted. Además, tiene derecho a que se completen sus datos personales incompletos.

Si publicó un activo de datos, tenga en cuenta que puede modificar los metadatos proporcionados (como el nombre de autor) en cualquier momento mediante la realización de los siguientes pasos:

- Visite su activo publicado en Ocean Market ([market.oceanprotocol.com](https://market.oceanprotocol.com)).
- Valide su identidad.
- Haga clic en &quot;EDIT METADATA&quot; y realice los cambios.
- Guarde sus cambios haciendo clic en &quot;SUBMIT&quot;.
- Confirme los cambios.

Tenga en cuenta que debe pagar tarifas de gas para la confirmación de los cambios (a medida que se emite una nueva transacción). Después de la modificación, la versión anterior de los metadatos de sus activos de datos ya no estará visible en Ocean Market. Además, puede cambiar el contenido de su activo de datos en cualquier momento.

## 7.3 Derecho de supresión (Art. 17 del GDPR)

Tiene derecho a obtener sin dilación indebida la supresión de sus datos personales, cuando los fundamentos legales definidos en el Art. 17 del GDPR se aplican.

Sí publicó un activo de datos, podría sobrescribir el nombre de autor proporcionado con un marcador de posición siguiendo los pasos que se enumeran en el capítulo 7.2. Si desea deshabilitar la visualización de su activo de datos en Ocean Market, lea el capítulo 7.4.

Tenga en cuenta que no es posible borrar el historial de transacciones de la blockchain debido a razones técnicas. Sin embargo, el estado actual de la red ya no contendrá los metadatos anteriores.

Además, debido a razones técnicas, no puede borrar la dirección de cartera proporcionada. El almacenamiento permanente de la dirección de cartera lo protege como editor de activos y como consumidor de activos. Los editores de datos pueden demostrar la propiedad y la venta de activos, mientras que los consumidores de datos pueden demostrar la adquisición y el consumo de activos.

## 7.4 Derecho a la limitación (Art. 18 del GDPR)

Además, tiene derecho a obtener la limitación del procesamiento de sus datos personales cuando los fundamentos legales definidos en el Art. 18 del GDPR se aplican.

Si publicó un activo de datos y tiene una cuenta de GitHub, puede utilizar nuestro Purgatory, un mecanismo para ocultar cualquier activo de datos de Ocean Market, realizando los siguientes pasos:

- Visite [**Purgatory** &#8599;](https://github.com/oceanprotocol/list-purgatory/blob/main/list-assets.json).
- Inicie sesión en su cuenta de GitHub.
- Proponga un cambio insertando el DID del activo en cuestión e indique una razón como &quot;Datos sensibles&quot;.
- Confirme sus cambios.

Ocean Protocol aceptará sus cambios lo antes posible. Puede esperar que los cambios se procesen en una semana. Para obtener más información, visite nuestra [**documentación del Purgatory** &#8599;](https://github.com/oceanprotocol/list-purgatory/blob/main/policies/README.md).

Si tiene preguntas sobre el Purgatory o no tiene una cuenta de GitHub y desea que desactivemos la visualización del activo de datos, no dude en contactarnos.

## 7.5 Derecho a la portabilidad de los datos (Art. 20 del GDPR)

Tiene derecho a recibir sus datos personales en formato estructurado, de uso común y legible por máquina. Además, tiene derecho a transmitir esos datos a otro responsable del tratamiento sin impedimentos, cuando los fundamentos legales definidos en el Art. 20 del GDPR se aplican.
Puede hacer uso de su derecho a la portabilidad de los datos comunicándose con nosotros.

## 7.6 Derecho de oposición (Art. 21 del GDPR)

Por motivos relacionados con su situación particular, tiene derecho a oponerse al procesamiento de sus datos personales cuando basamos el procesamiento en intereses legítimos (Art. 6(1)(f) del GDPR). Si se opone, Ocean Protocol ya no procesará sus datos personales, a menos que podamos demostrar motivos legítimos convincentes para el procesamiento, anulando sus derechos, libertades e intereses, o si el procesamiento es necesario para establecer, ejercer o defender reclamos legales.

## 7.7 Derecho a presentar una queja (Art. 77 del GDPR)

Tiene derecho a presentar una queja ante una autoridad supervisora ​​si considera que el procesamiento de sus datos personales por parte Ocean Protocol infringe el GDPR. Puede presentar una reclamación, en particular,

- en el Estado miembro de su residencia habitual,
- en el Estado miembro de su lugar de trabajo y
- en el lugar de la presunta infracción.

# 8. Preguntas

Para cualquier solicitud relacionada con nuestra política de privacidad, envíenos un correo electrónico a [gdpr@oceanprotocol.com](gdpr@oceanprotocol.com).
