---
title: Politique de confidentialité
description: Cette politique de confidentialité vous informe sur la façon dont Ocean Protocol Foundation traite vos données personnelles lorsque vous visitez le Ocean Market et lorsque vous utilisez l'une de nos fonctionnalités de marché. De plus, cette politique de confidentialité vous informe de vos droits.
---

# 1. Contrôleur

Le responsable du traitement du traitement de vos données personnelles est :

Ocean Protocol Foundation Ltd.<br/>
The Commerze @ Irving<br/>
1 Irving Place, #08-11<br/>
369546 Singapore

Courriel : [gdpr@oceanprotocol.com](gdpr@oceanprotocol.com)

# 2. Qu&#39;est-ce qu&#39;une donnée personnelle?

Les données personnelles sont toutes les informations qui peuvent être (directement ou indirectement) liées à vous. Ocean traite une quantité minimale de données personnelles, car nous pensons que vos données personnelles vous appartiennent. Nous traitons les données personnelles suivantes.

**Adresse IP** : Votre adresse IP est traitée lors de la visite de Ocean Market.

Si vous utilisez l&#39;une de nos fonctionnalités du marché, Ocean traite également les données personnelles suivantes.

- **Adresse de votre portefeuille** : Votre adresse de votre portefeuille est traitée si vous publiez, consommez ou stakez sur un set de données.

- **Nom de l&#39;auteur :** Votre nom est traité si vous décidez de publier un set de données. L&#39;ajout de votre vrai nom n&#39;est pas nécessaire. Vous êtes invités à publier un set de données à l&#39;aide d&#39;un pseudonyme.

Si vous contactez Ocean par e-mail, nous traitons votre adresse e-mail et toutes les données personnelles que vous décidez de fournir dans votre message (telles que votre nom).

Pour des informations détaillées sur les opérations de traitement, la licéité,les finalités et la manière dont vos données personnelles servent à atteindre ces finalités, veuillez consulter le chapitre «Opérations de traitement conformément à l&#39;article 13 du RGPD».

# 3. Destinataires et transfert de données transfrontalier

**Visiter le marché Ocean**

Lorsque vous visitez Ocean Market, votre adresse IP est traitée par Netlify, un fournisseur de services qui héberge notre marché. Netlify dessert notre marché en utilisant un Content Delivery Network (un réseau géographiquement distribué) avec des serveurs situés en dehors et à l&#39;intérieur de l&#39;Espace économique européen. Nous utilisons des clauses contractuelles types (CCT) pour fournir des garanties appropriées au traitement de vos données personnelles. Vous avez le droit de recevoir une copie des présentes CCT.

- Vous trouverez ici la [**CCT** &#8599;](https://www.netlify.com/v3/static/pdf/netlify-dpa.pdf) de Netlify.
- Vous trouverez ici la [**politique de confidentialité** &#8599;](https://www.netlify.com/) de Netlify.

**Utilisation des fonctionnalités du marché Ocean**

Si vous utilisez les fonctionnalités de Ocean Market, nous divulguons votre adresse de votre portefeuille et votre nom d&#39;auteur (le cas échéant) en les transmettant à un contrat intelligent (smart contract). Ce contrat intelligent est stocké dans un format lisible par machine sur une blockchain publique qui est stockée de manière redondante sur des nœuds dans le monde entier. Compte tenu du stockage distribué à l&#39;échelle mondiale, votre adresse de votre portefeuille et votre nom d&#39;auteur (le cas échéant) sont traités dans des pays sans décision d&#39;adéquation conformément à l&#39;article 45 du RGPD. La technologie sous-jacente de la blockchain assure la sécurité (intégrité, disponibilité, authenticité et non-répudiation) de vos données personnelles par conception et par défaut. De plus, vos droits décrits au chapitre sept restent exécutoires. Par exemple, si vous rectifiez le nom de votre auteur sur Ocean Market, les modifications seront également automatiquement adoptées sur les nœuds qui contiennent une copie du contrat intelligent.

**Contact par e-mail**

Si vous nous contactez par e-mail, notre fournisseur de services (mail), Google Workspace, nous accompagne dans la communication avec vous. Au cours de ce processus, des données personnelles vous concernant sont traitées, telles que votre adresse e-mail et toute autre information que vous décidez de fournir dans votre message, comme votre nom. Google Workspace est situé aux États-Unis, de sorte que vos données soient transférées par nous vers un pays sans décision d&#39;adéquation conformément à l&#39;article 45 du RGPD. Nous utilisons des clauses contractuelles types (CCT) pour fournir des garanties appropriées au traitement de vos données personnelles. Vous avez le droit de recevoir une copie des présentes CCT.

- Vous trouverez ici la [**CCT** &#8599;](ttps://workspace.google.com/terms/mcc_terms.html) de Google Workspace.
- Vous trouverez ici la [**politique de confidentialité** &#8599;](https://policies.google.com/) de Google Workspace.

# 4. Opérations de traitement conformément à l&#39;article 13 du RGPD

Nous traitons vos données personnelles aux finssuivantes.

## 4.1 Fourniture de Ocean Market et création de fichiers journaux

Nous collectons et utilisons votre adresse IP pour fournir l&#39;accès à Ocean Market hébergé chez Netlify. De plus, Ocean utilise Netlify Analytics pour collecter et stocker votre adresse IP. Vos données personnelles ne quitteront jamais notre service et nous ne vous suivrons pas sur à travers d&#39;autres sites.

**Fins:**

La collecte et l&#39;utilisation de votre adresse IP sont nécessaires pour fournir l&#39;accès à Ocean Market, car il s&#39;agit d&#39;une exigence technique pour assurer la communication entre votre appareil et notre marché.

Ocean utilise Netlify Analytics pour distinguer les visiteurs uniques en fonction des adresses IP. Ce processus nous aide à mieux comprendre combien d&#39;utilisateurs visitent Ocean Market et dans quels pays se trouvent les utilisateurs. Nous utilisons ces informations pour mesurer les tendances du trafic et de la popularité afin d&#39;améliorer notre service.

**Base juridique:**

La base juridique de ce traitement est notre intérêt légitime, conformément à Art. 6(1)(f) RGPD

**Intérêts légitimes :**

Notre intérêt légitime est de vous fournir Ocean Market et ses fonctionnalités, ainsi que de les améliorer.

**Période de conservation :**

Nous conservons votre adresse IP pendant 30 jours.

## 4.2 Consommation et staking

Lorsque vous consommez ou stakez sur set de données, nous collectons votre adresse de votre portefeuille et la divulguons en la transmettant à un contrat intelligent (smart contract) stocké sur la blockchain.

**Fins:**

Ocean Market traite votre adresse de votre portefeuille pour vous permettre de signer des transactions blockchain. La transaction contenant votre adresse de votre portefeuille sera stockée en permanence sur la chaîne afin que vous et le fournisseur d&#39;actifs puissiez prouver l&#39;acquisition et la consommation d&#39;actifs.

**Base juridique:**

La base juridique de ce traitement est l&#39;article 6, paragraphe 1, point b), du RGPD, car le traitement est nécessaire à l&#39;exécution d&#39;un contrat avec vous.

**Période de conservation :**

Ocean divulgue votre adresse de votre portefeuille en la transmettant à un contrat intelligent (smart contract) stocké dans un format lisible par machine en permanence sur la chaîne (on-chain) pour permettre une piste d&#39;audit immuable.

## 4.3 Fonctionnalité de publication

Lorsque vous publiez un set de données, nous collectons votre adresse de votre portefeuille et votre nom d&#39;auteur et les divulguons en les transmettant à un contrat intelligent (smart contract) stocké sur la Blockchain. Notez que l'adresse de votre portefeuille sera liée au nom que vous avez fourni. Notez également que vous pouvez utiliser un pseudonyme comme nom d&#39;auteur.

**Fins:**

Nous devons traiter votre adresse de votre portefeuille pour lier votre publication à votre adresse. Nous traitons votre nom pour activer la fonctionnalité de recherche et de filtrage sur Ocean Market. La transaction contenant votre adresse de votre portefeuille et le nom de l&#39;auteur sera stockée en permanence sur la chaîne afin que vous puissiez prouver la propriété et la vente des actifs.

**Base juridique:**

La base juridique de ce traitement est l&#39;article 6, paragraphe 1, point b), du RGPD, car le traitement est nécessaire à l&#39;exécution d&#39;un contrat avec vous.

**Période de conservation:**

Ocean divulgue votre adresse de votre portefeuille et le nom de l&#39;auteur en le transmettant à un contrat intelligent (smart contract) stocké dans un format lisible par machine en permanence sur la chaîne (on-chain) pour permettre une piste d&#39;audit.

## 4.4 Affichage des ressources de données

Lorsque vous avez publié un set de données, nous récupérons, organisons et stockons votre adresse de votre portefeuille et votre nom d&#39;auteur sur un cache de métadonnées géré par Ocean. De plus, nous montrons votre set données sur Ocean Market.

**Fins:**

La récupération de données à partir de la blockchain prend du temps. Par conséquent, nous récupérons, organisons et stockons vos données personnelles sur un cache pour améliorer les performances de Ocean Market. Nous montrons votre set de données sur Ocean Market, afin que les visiteurs puissent trouver, consommer et staker.

**Base juridique:**

La base juridique de ce traitement est notre intérêt légitime, conformément à l&#39;article 6, paragraphe 1, point f), du RGPD.

**Intérêts légitimes:**

Notre intérêt légitime est d&#39;améliorer l&#39;expérience utilisateur en améliorant les performances de Ocean Market.

**Période de conservation:**

Votre adresse de votre portefeuille et votre nom sont stockés en permanence sur notre cache de métadonnées.

## 4.5 Historique

Lhistorique de Ocean Market est un outil de transparence que vous pouvez utiliser pour visualiser vos transactions relatives à Ocean Market. Lorsque vous utilisez l&#39;historique, nous collectons votre adresse de votre portefeuille. Ensuite, nous récupérons les transactions respectives et pertinentes stockées sur la blockchain (plus précisément, à partir du cache de métadonnées) et les organisons dans une table.

**Fins:**

Nous devons collecter votre adresse de votre portefeuille pour récupérer chaque transaction que vous avez effectuée sur Ocean Market. Nous récupérons et organisons vos données de transaction publiques afin que vous puissiez rapidement avoir un aperçu de toutes les actions que vous avez effectuées sur Ocean Market.

**Base juridique:**

La base juridique de ce traitement est notre intérêt légitime, conformément à l&#39;article 6, paragraphe 1, point f), du RGPD.

**Intérêts légitimes:**

Notre intérêt légitime à fournir l&#39;historique est de vous offrir la possibilité de visualiser et avoir une vue d&#39;ensemble de vos transactions effectuées sur Ocean Market.

**Période de conservation:**

Dès que vous déconnectez votre portefeuille, nous supprimons les entrées de la table d&#39;historique de votre navigateur.

## 4.6 Contact par e-mail

Si vous nous contactez par e-mail, Ocean collectera, utilisera et stockera votre adresse e-mail, et toute autre information que vous nous fournissez dans votre message, tel que votre nom.

**Fins:**

Nous collectons, utilisons et stockons ces données personnelles pour répondre à vos demandes.

**Base juridique:**

La base juridique de ce traitement est notre intérêt légitime, conformément à l&#39;article 6, paragraphe 1, point f), du RGPD.

**Intérêts légitimes :**

Notre intérêt légitime est de répondre à vos demandes.

**Période de conservation :**

Ocean supprime vos données personnelles dès que nous n&#39;en avons plus besoin pour traiter votre demande, sauf si Ocean est tenu de respecter les délais de conservation légaux ou en cas de litiges juridiques.
<br/><i id="cookies"></i>

# 5. Cookies et stockage web

Un cookie est un petit fichier qui stocke les paramètres Internet. Votre navigateur Web le télécharge lors de la première visite sur un site Web. La prochaine fois que vous ouvrez ce site Web avec le même appareil, le cookie et les informations qui y sont stockées sont soit renvoyés au site Web qui l&#39;a créé (cookie de première partie), soit envoyés à un autre site Web auquel il appartient (cookie tiers). Cela permet au site Web de détecter que vous l&#39;avez déjà ouvert avec ce navigateur et, dans certains cas, de faire varier le contenu affiché.

Ocean Market n&#39;utilise pas de cookies à des fins d&#39;analyse ou de marketing. Au lieu de cela, nous utilisons un cookie de première partie fonctionnel qui ne transmet pas de données personnelles vous concernant. Son cookie est utilisé pour améliorer votre expérience utilisateur et sera supprimé une fois que vous aurez fermé votre navigateur.

Ocean Market utilise également le stockage local et le stockage de session, qui ont des fonctionnalités similaires aux cookies. Nous utilisons votre stockage Web pour mémoriser vos préférences de page et améliorer votre expérience utilisateur. Nous ne stockons pas non plus de données personnelles dans le stockage local et le stockage de session. Votre navigateur supprimera le stockage de session une fois que vous le fermerez.

Vous avez la possibilité de désactiver les cookies, supprimer les cookies et le stockage Web du disque dur de votre ordinateur à tout moment dans les paramètres de votre navigateur.

# 6. Liens externes

Ocean Market contient des liens vers des sites Web externes qui sont hors du contrôle et de la responsabilité de Ocean. Nous marquons les liens externes en utilisant ceci: &#8599;.

# 7. Vos droits

Si vous souhaitez faire usage de vos droits décrits ci-dessous, n&#39;hésitez pas à nous contacter.

## 7.1 Droit d&#39;accès (art. 15 du RGPD)

Vous avez le droit d&#39;obtenir la confirmation que Ocean traite les données personnelles vous concernant. Si nous traitons des données personnelles vous concernant, vous avez le droit d&#39;accéder à ces données personnelles et d&#39;obtenir les informations définies à l&#39;article 15 du RGPD.

## 7.2 Droit de rectification (art. 16 RGPD)

Vous avez le droit d&#39;obtenir sans retard injustifié la rectification de données personnelles inexactes vous concernant. En outre, vous avez le droit de compléter les données personnelles incomplètes vous concernant.

Si vous avez publié un set de données, veuillez noter que vous pouvez modifier les métadonnées que vous avez fournies (comme le nom de l&#39;auteur) à tout moment en procédant comme suit.

- Visitez votre actif publié sur Ocean Market ([market.oceanprotocol.com](https://market.oceanprotocol.com)).
- Validez votre identité avec votre clé privée.
- Cliquez sur « EDIT METADATA » et apportez vos modifications.
- Enregistrez vos modifications en cliquant sur « SUBMIT ».
- Confirmez les modifications avec votre clé privée.

Veuillez noter que vous devez payer des frais de gas (fees) pour la confirmation des changements (car une nouvelle transaction est émise). Après modification, la version précédente de vos métadonnées du set de données ne sera plus visible sur Ocean Market. En outre, vous pouvez modifier le contenu de votre set de données à tout moment.

## 7.3 Droit à l&#39;effacement (art. 17 du RGPD)

Vous avez le droit d&#39;obtenir sans retard injustifié l&#39;effacement des données personnelles vous concernant, lorsque les fondements juridiques définis à l&#39;article 17 du RGPD s&#39;appliquent.

Si vous avez publié un set de données, vous devez remplacer le nom d&#39;auteur fourni par un espace réservé en effectuant les étapes énumérées au chapitre 7.2. Si vous souhaitez désactiver l&#39;affichage de votre set de données sur Ocean Market, veuillez lire le chapitre 7.4.

Notez qu&#39;il n&#39;est pas possible d&#39;effacer l&#39;historique des transactions de la blockchain pour des raisons techniques. Mais l&#39;état actuel du réseau ne contiendra plus les anciennes métadonnées.

De plus, pour des raisons techniques, vous ne pouvez pas effacer votre adresse de votre portefeuille fournie. Le stockage permanent de la adresse de votre portefeuille vous protège en tant qu&#39;éditeur de ressources ainsi qu&#39;en tant que consommateur. Les publieurs de set de données peuvent prouver la propriété et la vente d&#39;actifs, tandis que les consommateurs peuvent prouver l&#39;acquisition et la consommation d&#39;actifs.

## 7.4 Droit à la restriction (art. 18 du RGPD)

En outre, vous avez le droit d&#39;obtenir la limitation du traitement de vos données personnelles lorsque les fondements juridiques définis à l&#39;article 18 du RGPD s&#39;appliquent.

Si vous avez publié un set de données et que vous avez un compte GitHub, vous pouvez utiliser notre Purgatoire, un mécanisme pour masquer tout set de données du marché Ocean, en procédant comme suit.

- Visitez [**Purgatory** &#8599;](https://github.com/oceanprotocol/list-purgatory/blob/main/list-assets.json).
- Connectez-vous à votre compte GitHub.
- Proposer une modification en insérant le DID de l&#39;actif concerné et indiquer une raison comme « Données sensibles ».
- Validez vos modifications.

Ocean acceptera vos modifications dès que possible. Vous pouvez vous attendre à ce que les modifications soient traitées dans un délai d&#39;une semaine. Pour plus d&#39;informations, veuillez consulter notre [**documentation Purgatory** &#8599;](https://github.com/Ocean/list-purgatory/blob/main/policies/README.md).

Si vous avez des questions sur Purgatory ou si vous n&#39;avez pas de compte GitHub et que vous souhaitez que nous désactivons l&#39;affichage du set de données, n&#39;hésitez pas à nous contacter.

## 7.5 Droit à la portabilité des données (art. 20 RGPD)

Vous avez le droit de recevoir vos données personnelles dans un format structuré, couramment utilisé et lisible par machine. En outre, vous avez le droit de transmettre ces données à un autre responsable du traitement sans entrave, lorsque les fondements juridiques définis à l&#39;article 20 du RGPD s&#39;appliquent.
Vous pouvez faire usage de votre droit à la portabilité des données en nous contactant.

## 7.6 Droit d&#39;opposition (art. 21 du RGPD)

Pour des motifs liés à votre situation particulière, vous avez le droit de vous opposer au traitement de vos données personnelles lorsque nous avons basé le traitement sur des intérêts légitimes (art. 6(1)(f) du RGPD). Si vous vous y opposez, Ocean ne traitera plus vos données personnelles à moins que nous puissions démontrer des motifs légitimes impérieux pour le traitement, outrepassant vos droits, libertés et intérêts, ou si le traitement est nécessaire pour établir, exercer ou défendre des réclamations légales.

## 7.7 Droit de déposer une plainte (art. 77 RGPD)

Vous avez le droit de déposer une plainte auprès d&#39;une autorité de contrôle si vous considérez que le traitement de vos données personnelles par Ocean enfreint le RGPD. Vous pouvez déposer une plainte en particulier

- dans l&#39;État membre de votre résidence habituelle,
- dans l&#39;État membre de votre lieu de travail, et
- à la place de l&#39;infraction alléguée.

# 8. Questions

Pour toute question ou demande concernant notre politique de confidentialité, veuillez nous envoyer un e-mail à [gdpr@oceanprotocol.com](gdpr@oceanprotocol.com).
